import 'package:flutter/material.dart';
import 'package:news_getx/theme/app_colors.dart';


class AppTheme {
  static const horizontalMargin = 16.0;
  static const radius = 10.0;


  static ThemeData light = ThemeData(
    brightness: Brightness.light,
    scaffoldBackgroundColor: AppThemeColors.scaffoldBackground,
    splashColor: Colors.transparent,
    highlightColor: Colors.transparent,
    primaryColor: AppThemeColors.accentColor,
    colorScheme: ColorScheme.fromSwatch().copyWith(
      secondary: AppThemeColors.accentColor,
    ),
    appBarTheme: AppBarTheme(
      elevation: 0,
      centerTitle: true,
      backgroundColor: Colors.white,
      iconTheme: IconThemeData(
        color: AppThemeColors.primaryText,
      ),
      titleTextStyle: TextStyle(
        color: AppThemeColors.primaryText,
        fontSize: 20,
        fontWeight: FontWeight.w500,
      ),
      toolbarTextStyle: TextStyle(
        color: AppThemeColors.primaryText,
        fontSize: 20,
        fontWeight: FontWeight.w500,
      ),
    ),
    bottomNavigationBarTheme: BottomNavigationBarThemeData(
      backgroundColor: AppThemeColors.scaffoldBackground,
      unselectedLabelStyle: TextStyle(fontSize: 12),
      selectedLabelStyle: TextStyle(fontSize: 12),
      unselectedItemColor: Color(0xffA2A5B9),
      selectedItemColor: AppThemeColors.accentColor,
    ),
    tabBarTheme: TabBarTheme(
      indicatorSize: TabBarIndicatorSize.label,
      labelColor: AppThemeColors.accentColor,
      unselectedLabelColor: AppThemeColors.secondaryText,
    ),
  );

}
